package com.bjsxt.dao.impl;

import com.bjsxt.commons.JdbcUtils;
import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Properties;

public class UserLoginDaoImpl implements UserLoginDao {
    @Override
    public Users selectUserByUserNameAndUserPwd(String username, String userpwd) {
        Users user = null;
        Connection conn = null;
        try {
            conn = JdbcUtils.getConnection();
            PreparedStatement ps = conn.prepareStatement("select * from users where username = ? and userpwd = ? ");
            ps.setString(1,username);
            ps.setString(2,userpwd);
//            执行SQL语句
            ResultSet resultSet = ps.executeQuery();
            while (resultSet.next()){
//              创建一个对象用于接收数据库的数据。
                user = new Users();
//                将数据库中查询到的数据插到对应的字段中
                user.setUsersex(resultSet.getString("usersex"));
                user.setUserpwd(resultSet.getString("userpwd"));
                user.setUsername(resultSet.getString("username"));
                user.setUserid(resultSet.getInt("userid"));
                user.setPhonenumber(resultSet.getString("phonenumber"));
                user.setQqnumber(resultSet.getString("qqnumber"));
            }
        } catch (SQLException throwables) {
            throwables.printStackTrace();
        } finally {
        }

        return user;
    }
}
