package com.bjsxt.service.impl;

import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.dao.impl.UserLoginDaoImpl;
import com.bjsxt.exception.UserNotFoundException;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserLoginService;

/**
 * 用户登录业务
 */
public class UserLoginServiceimpl implements UserLoginService {
    /**
     * 用户登录
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users userLogin(String username, String userpwd) {
//      完成登录业务， 去实例化持久层，让持久层拿到用户名和密码。
        UserLoginDao  userLoginDao = new UserLoginDaoImpl();
        Users users = userLoginDao.selectUserByUserNameAndUserPwd(username,userpwd);
        if (users == null) {
//            进入这个方法表示，用户没有查到，则通过自定义的异常，提示给Servlet！！！
 //           System.out.println("用户没有查到");
            throw new UserNotFoundException("用户名或密码有误");
        }
//        如果用户查到了，则返回User对象
        return users;
    }
}
